SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002221SOGoWeb Calendarpublic2013-01-31 10:522013-09-27 10:01
ReporterJerome G 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.4a 
Target Version2.1.0Fixed in Version2.1.0 
Summary0002221: Remote webcalendars not synchronized
DescriptionHi,

When adding more than 1 external webcalendar (ics), the calendars are correctly showned on the web interface.

Click on "update/actualiser" : the first calendar is correctly showned, not the second, but in sogo's log, the request is OK (apache code 200) but the result isn't parsed : can't see ics file in debug mode.

The tests have been made on sogo 2.0.3a & 2.0.4a
The urls have the same URL root, the end of the url is not the same
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0005308)
Jerome G (reporter)
2013-02-01 08:04

HI,

some more information

At the start of day, the webcalendar which have disappeared the day before, come back on the web interface.

But when i update calendars again, it disappears again.

In order to be more precise, the events disappear but then calendar in the calendars' list is displayed
(0005760)
maybee (reporter)
2013-07-19 04:47
edited on: 2013-07-19 04:49

Hi,

maybe I observed the same problem. I have added three webcalenders, all published on the same webdav-server. The webdav-server needs authentication, which works pretty well in SOGo, thanks.

I have tried it with .ics calendars exported by outlook 2007&2010. After adding the first calendar the calendar is synced and the events are shown correctly. But trying to add the second webcalendar seems to be impossible. There is another calendar entry on the calendar list, but no events are synchronized and shown.

So I tried deleting the first calendar to get the second calendars events, but also this does not work. The synchronization only works when adding the very first webcalendar.

Observed in SOGo 2.0.6b

User avatar (0006054)
ludovic (administrator)
2013-09-27 10:01

https://github.com/inverse-inc/sogo/commit/7c7031333e11a8a35b7d2fce17b2da1ce96cd2e2 [^]

- Issue History
Date Modified Username Field Change
2013-01-31 10:52 Jerome G New Issue
2013-02-01 08:04 Jerome G Note Added: 0005308
2013-07-19 04:47 maybee Note Added: 0005760
2013-07-19 04:49 maybee Note Edited: 0005760
2013-09-27 10:01 ludovic Target Version => 2.1.0
2013-09-27 10:01 ludovic Note Added: 0006054
2013-09-27 10:01 ludovic Status new => closed
2013-09-27 10:01 ludovic Resolution open => fixed
2013-09-27 10:01 ludovic Fixed in Version => 2.1.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker